Subject: bug#9797: closed (Re: bug#9797: guile make error)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Oct 2011 10:07:02 +0000

Your bug report

#9797: guile make error

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9797: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9797: guile make error
From: Andy Wingo <[email-masked]>
To: jia hao <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Oct 2011 12:05:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jia,

On Wed 19 Oct 2011 11:31, jia hao <[email-masked]> writes:

> root@loongson guile-1.8.2]# make

Please try with the latest Guile 1.8 release, 1.8.8.

Regards,

Andy
-- 
http://wingolog.org/

Subject: guile make error
From: jia hao <[email-masked]>
To: [email-masked]
Date: Wed, 19 Oct 2011 17:31:21 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear friend,

   I am a new user of linux, and I want install geda, that needs guile
, so I install guile, but failure with make up , I installed mp mp4,
ltdl, slib, and configure well, only make it,  problems come out, a
lot of GNU from source conpile with problems of my os, others time I
have changed some where as the problem report, and this time I can not
going ,I also with another problem about qcad, but  not here asking,
thanks and I want please solved it soon.

mr. bo

my host information is that

/usr/bin/uname -p =
/bin/uname -X     =

hostinfo               =
/bin/universe          =
/usr/bin/arch -k       =
/bin/arch              =
/usr/bin/oslevel       =
/usr/convex/getsysinfo =

UNAME_MACHINE = mips64
UNAME_RELEASE = 2.6.27.7-43
UNAME_SYSTEM  = Linux
UNAME_VERSION = #1 PREEMPT Tue May 5 23:51:30 CST 2009

loongson2f cpu, redflag linux.

I can not make well of the guile-1.8.2

error

root@loongson guile-1.8.2]# make
make  all-recursive
make[1]: Entering directory `/root/soft/logic/guile-1.8.2'
Making all in oop
make[2]: Entering directory `/root/soft/logic/guile-1.8.2/oop'
Making all in goops
make[3]: Entering directory `/root/soft/logic/guile-1.8.2/oop/goops'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/root/soft/logic/guile-1.8.2/oop/goops'
make[3]: Entering directory `/root/soft/logic/guile-1.8.2/oop'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory `/root/soft/logic/guile-1.8.2/oop'
make[2]: Leaving directory `/root/soft/logic/guile-1.8.2/oop'
Making all in libguile
make[2]: Entering directory `/root/soft/logic/guile-1.8.2/libguile'
make  all-am
make[3]: Entering directory `/root/soft/logic/guile-1.8.2/libguile'
if [ "no" = "yes" ]; then \
                gcc -DHAVE_CONFIG_H -I.. -I.. -c -o c-tokenize.o c-tokenize.c; \
        else \
                gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I..    -g -O2 -Wall
-Wmissing-prototypes -Werror -c -o c-tokenize.o c-tokenize.c; \
        fi
cc1: warnings being treated as errors
./c-tokenize.lex:552: 错误(error)：‘input’定义后未使用(defined and not use it)
make[3]: *** [c-tokenize.o] 错误 1 error 1
make[3]: Leaving directory `/root/soft/logic/guile-1.8.2/libguile'
make[2]: *** [all] 错误 2 error 2
make[2]: Leaving directory `/root/soft/logic/guile-1.8.2/libguile'
make[1]: *** [all-recursive] 错误 1
make[1]: Leaving directory `/root/soft/logic/guile-1.8.2'
make: *** [all] 错误 2